Shows up on version as 6.5 sp5. I feel like I got left out on something
or I did something wrong.

Is that normal?

Will